SQL-инъекция в Plexum X5

Дата публикации:
21.04.2006
Дата изменения:
17.10.2006
Всего просмотров:
876
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Plexum X5
Уязвимые версии: Plexum X5, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "pagesize" и "startpos" в сценарии plexum.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

/plexum.php?section=webstats&page=hits&startpos=15&maxrec=457&pagesize=[SQL]
/plexum.php?section=webstats&page=hits&startpos=450&maxrec=[SQL]
/plexum.php?section=webstats&page=hits&startpos=[SQL]

URL производителя: www.plexum.com/network/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Plexum X5 SQL vuln.

или введите имя

CAPTCHA